Solved

Upgrade FR24 to FR28

  • 23 March 2023
  • 4 replies
  • 215 views

Badge +2

Hello

 

We are planning an Commvault upgrade from FR11.24.xx to FR11.28.5X. We still have a lot of 2012 servers and SQL2012 servers. 
Wat would be better? Let the agent on win 2012 on FR11.24.9x,  or upgrade the clients to 11.26.xx.
Commvault 11.26.xx is the last Commvault version that supports Windwos 2012 and SQL2012.  

If we use additional setting we could upgrade the client to FR11.26.xx 
 

Thanks in advance!

icon

Best answer by Jos Meijer 24 March 2023, 16:37

View original

4 replies

Userlevel 7
Badge +17

Mmz yes I see it, odd that documentation does not line up for this client agent.
Thanks for identifying this, hopefully documentation can be aligned properly.

In this case I would either:

  • Upgrade OS and SQL (preferred, but not always possible)
  • Upgrade the agent to the latest version possible

As you mentioned you can update to the latest supported version when using the additional setting and registry key as described in Installing Clients with Deprecated Operating Systems or Applications on Windows Computers (commvault.com)

 

Badge +2

 

Badge +2

End-of-Life, Deprecated, and Extended Support for Platforms (commvault.com)

 

Userlevel 7
Badge +17

Clients are supported in 2022E / 11.28.x for Windows 2012 and SQL2012:

  • Microsoft SQL Server 2012 Editions up to the latest Service Pack

  • Microsoft Windows Server 2012 Editions

    Microsoft Windows Server 2012 R2 Editions

https://documentation.commvault.com/2022e/expert/3002_microsoft_sql_server_system_requirements_03.html

You should be fine :)

 

Edit: There is a conflicting message here though regarding the OS versions contains Windows 2012:

Important: The following operating systems are supported only for the following versions of Microsoft SQL Server. Microsoft has a known issue on Microsoft SQL server 2017 cumulative updates 19 and 20.

Microsoft SQL Server 2017 cumulative update 18 or lower

Microsoft SQL Server 2017 cumulative update 21 and higher

Microsoft SQL Server 2019 cumulative update 5 and higher

Microsoft SQL Server 2022

Looking into this, hang on

 

Edit 2: Looking at deprecated functionality SQL 2012 is only mentioned in relation to the Commserve database engine, I don't see any other information which would indicate a non-supported setup when using Windows 2012 in combination with SQL 2012. These clients should be fine with 2022E / 11.28.x


Someone correct me if I am wrong here please.

Reply